Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Class Event

    java.lang.Object
      |
      +--com.bea.wlai.common.Event

public class Event
extends java.lang.Object
implements IEvent

Implements the occurrence of an event.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`Event(EventHeader header, IDocument payload)`

Method Summary
`void` | `fromXML(java.lang.String xml)` Parse an XML string representing an event definition.
`IEventDefinition` | `getEventDefinition()`
`java.lang.String` | `getEventTypeName()`
`EventHeader` | `getHeader()`
`IDocument` | `getPayload()`
`static void` | `main(java.lang.String[] args)`
`void` | `setDocumentDefinition(IDocumentDefinition docDef)`
`void` | `setEventDefinition(IEventDefinition eventDef)`
`void` | `setEventTypeName(java.lang.String typeName)`
`void` | `setHeader(EventHeader header)`
`void` | `setPayload(IDocument payload)`
`java.lang.String` | `toXML()` Get an XML string representing this event definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Event

    public Event(EventHeader header,
                 IDocument payload)

Method Detail

### setDocumentDefinition

    public void setDocumentDefinition(IDocumentDefinition docDef)

### getEventDefinition

    public IEventDefinition getEventDefinition()

  Specified by:
    getEventDefinition in interface IEvent

### setEventDefinition

    public void setEventDefinition(IEventDefinition eventDef)

  Specified by:
    setEventDefinition in interface IEvent

### getEventTypeName

    public java.lang.String getEventTypeName()

  Specified by:
    getEventTypeName in interface IEvent

### setEventTypeName

    public void setEventTypeName(java.lang.String typeName)

  Specified by:
    setEventTypeName in interface IEvent

### setHeader

    public void setHeader(EventHeader header)

  Specified by:
    setHeader in interface IEvent

### getHeader

    public EventHeader getHeader()

  Specified by:
    getHeader in interface IEvent

### setPayload

    public void setPayload(IDocument payload)

  Specified by:
    setPayload in interface IEvent

### getPayload

    public IDocument getPayload()

  Specified by:
    getPayload in interface IEvent

### toXML

    public java.lang.String toXML()
                           throws DocumentException

  Get an XML string representing this event definition. The schema is referred to by name, and it not include inline in the returned XML.
  Specified by:
    toXML in interface IEvent

### fromXML

    public void fromXML(java.lang.String xml)
                 throws DocumentParseException,
                        DocumentException

  Parse an XML string representing an event definition. The schema is referred to by name, and is not include inline in the returned XML.
  Specified by:
    fromXML in interface IEvent

  Throws:
    DocumentParseException - if the xml cannot be parsed.
    DocumentException - if an error occurs while processing the xml.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)